[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'versiontypes' (#fcl-res)

# EDuplicateKeyException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Duplicate key error

## Declaration

Source position: versiontypes.pp line 29

`type EDuplicateKeyException = class(EVersionStringTableException)`

## Inheritance

`EDuplicateKeyException` |  | Duplicate key error
`EVersionStringTableException` |  | Base class for version string table - related exceptions
`Exception`
`TObject`

## Description

This exception is raised when an attempt is made to add an item to a TVersionStringTable object and the specified key is already present.

## See also

TVersionStringTable.Add |  | Adds a new item to the string table